### Method

# GtkSource Region intersect_subregion

#### Declaration [src]

    GtkSourceRegion*
    gtk_source_region_intersect_subregion (
      GtkSourceRegion* region,
      const GtkTextIter* _start,
      const GtkTextIter* _end
    )

#### Description [src]

Returns the intersection between `region` and the subregion delimited by `_start` and `_end`.

`region` is not modified.

#### Parameters

`_start`

  Type: `GtkTextIter`

  The start of the subregion.

  The data is owned by the caller of the method.

`_end`

  Type: `GtkTextIter`

  The end of the subregion.

  The data is owned by the caller of the method.

#### Return value

Type: `GtkSourceRegion`

The intersection as a new `GtkSourceRegion`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.